Last Comment Bug 737349 - Filelink account set up should contain a link to the selected provider product description
: Filelink account set up should contain a link to the selected provider produc...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (Away until June 29th)
:
Mentors:
Depends on: 739279
Blocks: 744904 BigFiles
  Show dependency treegraph
 
Reported: 2012-03-20 00:46 PDT by Jb Piacentino
Modified: 2012-04-12 22:30 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Mockup for gnomestripe (24.02 KB, image/png)
2012-03-28 07:55 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
Updated wireframe (33.43 KB, image/png)
2012-03-28 09:31 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
Patch v1 (13.08 KB, patch)
2012-03-30 11:44 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details | Diff | Review
Patch v2 (13.23 KB, patch)
2012-03-30 14:19 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details | Diff | Review
Patch v3 (13.40 KB, patch)
2012-04-11 13:50 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details | Diff | Review
Windows 7 (104.48 KB, image/png)
2012-04-11 13:55 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
Patch v4 (for comm-central) (11.92 KB, patch)
2012-04-11 14:02 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details | Diff | Review
Windows XP (32.61 KB, image/png)
2012-04-11 14:06 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
Ubuntu (78.70 KB, image/png)
2012-04-11 14:19 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
Patch v5 (for comm-central) (13.10 KB, patch)
2012-04-12 11:26 PDT, Mike Conley (:mconley) - (Away until June 29th)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Review
Patch v5 (for comm-aurora - carrying over r+ and ui-r+ from bwinton) (9.17 KB, patch)
2012-04-12 13:20 PDT, Mike Conley (:mconley) - (Away until June 29th)
mozilla: approval‑comm‑aurora+
Details | Diff | Review

Description Jb Piacentino 2012-03-20 00:46:02 PDT
When selecting an online storage account provider, users don't necessarily know the product features. A link located next to the droplist should point to the selected provider feature page.
If there are no selected provider, this link should point to the Filelink feature description, as per 737348
Comment 1 Mike Conley (:mconley) - (Away until June 29th) 2012-03-28 07:55:56 PDT
Created attachment 610136 [details]
Mockup for gnomestripe

From our discussion today.  Is this an acceptable target?
Comment 2 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-03-28 08:17:49 PDT
Comment on attachment 610136 [details]
Mockup for gnomestripe

I think I'ld prefer it if the two text links were on the same line, but I could live with this, I guess…

Thanks,
Blake.
Comment 3 abourcier 2012-03-28 08:25:03 PDT
Humm... may I ask why the learn more is "floating" on the page??? Oops.
Comment 4 Mike Conley (:mconley) - (Away until June 29th) 2012-03-28 09:31:01 PDT
Created attachment 610170 [details]
Updated wireframe

The dialog is being laid out slightly different to accommodate long translation strings. See the wireframe for how we're approaching it.
Comment 5 Mike Conley (:mconley) - (Away until June 29th) 2012-03-29 14:23:34 PDT
Jb:

What URLs should we providing in these links for Dropbox and YouSendIt?

-Mike
Comment 6 Jb Piacentino 2012-03-30 03:05:31 PDT
Adding corresponding people at Dropbox & YSI for an answer. 
In the meantime, let's assume 
- http://www.dropbox.com
- http://www.yousendit.com
Comment 7 Mike Conley (:mconley) - (Away until June 29th) 2012-03-30 11:44:59 PDT
Created attachment 610955 [details] [diff] [review]
Patch v1

Screenshots coming next.
Comment 8 Mike Conley (:mconley) - (Away until June 29th) 2012-03-30 13:58:22 PDT
Hm - seems to be broken on Windows XP.  Investigating...
Comment 9 Mike Conley (:mconley) - (Away until June 29th) 2012-03-30 14:19:00 PDT
Created attachment 611025 [details] [diff] [review]
Patch v2

It turns out that for Windows XP, IFrame scrollheight was being calculated differently due to those floats I was using for the "Learn more..." div.

So, instead of floating right for Dropbox and the default "Learn more...", I text-align right, and only float right for YouSendIt, who's other content ensures that the height is set correctly.
Comment 10 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-04-11 13:37:28 PDT
Comment on attachment 611025 [details] [diff] [review]
Patch v2

Hey Mike,

this seems to have bitrotted.  Can you update it, and maybe post some non-OSX screenshots?

Thanks,
Blake.
Comment 11 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 13:50:15 PDT
Created attachment 614153 [details] [diff] [review]
Patch v3

Unbitrotted - this should apply cleanly on top of the latest patch for bug 737279.
Comment 12 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 13:55:11 PDT
Created attachment 614157 [details]
Windows 7
Comment 13 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 13:58:59 PDT
Argh, no, doesn't apply cleanly.  Hang on...
Comment 14 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 14:02:18 PDT
Created attachment 614159 [details] [diff] [review]
Patch v4 (for comm-central)

Ok, this patch applies cleanly on bug 739279 now.  For reals.
Comment 15 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 14:06:54 PDT
Created attachment 614162 [details]
Windows XP
Comment 16 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 14:09:19 PDT
Comment on attachment 614159 [details] [diff] [review]
Patch v4 (for comm-central)

Looks like the merge didn't go so well.

I'm going to stop rushing this thing.  I'll have an updated, correct patch tomorrow.
Comment 17 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 14:19:18 PDT
Created attachment 614168 [details]
Ubuntu
Comment 18 Mike Conley (:mconley) - (Away until June 29th) 2012-04-12 11:26:33 PDT
Created attachment 614468 [details] [diff] [review]
Patch v5 (for comm-central)

Alright, this patch does the job.  Seriously this time.
Comment 19 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-04-12 12:51:20 PDT
Comment on attachment 614468 [details] [diff] [review]
Patch v5 (for comm-central)

>+++ b/mail/components/cloudfile/content/Dropbox/settings.xhtml
>@@ -1,17 +1,21 @@
>+<!DOCTYPE html [
>+  <!ENTITY % htmlDTD PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd"> %htmlDTD;
>+  <!ENTITY % dbDTD SYSTEM "chrome://messenger/locale/cloudfile/Dropbox/settings.dtd"> %dbDTD;
>+]>
> <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

So, we need some direction stuff on this to correctly handle rtl languages, but if you wanted to do that as a separate bug, I could accept that.

Other than that, I like it.

r=me, ui-r=me!

Later,
Blake.
Comment 20 Mike Conley (:mconley) - (Away until June 29th) 2012-04-12 13:20:14 PDT
Created attachment 614536 [details] [diff] [review]
Patch v5 (for comm-aurora - carrying over r+ and ui-r+ from bwinton)

This patch is mostly the same as the patch for comm-central (attachment 614468 [details] [diff] [review]), except for no new strings - we temporarily borrow some from messenger.properties.

The biggest difference, besides removing the string insertions, is the function "insertLearnMoreString" in addAccountDialog.js, and the points where that function is called.

I'll go ahead and request comm-aurora approval, but if someone feels I should get this reviewed first, let me know.
Comment 21 Mike Conley (:mconley) - (Away until June 29th) 2012-04-12 13:32:23 PDT
Patch for comm-central (Attachment 614468 [details] [diff]) landed in comm-central as http://hg.mozilla.org/comm-central/rev/f2d47bbb6bf3
Comment 22 Mike Conley (:mconley) - (Away until June 29th) 2012-04-12 18:17:51 PDT
Attachment 614536 [details] [diff] committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/f1039ec2ed7d.
Comment 23 Magnus Melin 2012-04-12 22:30:30 PDT
Comment on attachment 614468 [details] [diff] [review]
Patch v5 (for comm-central)

Review of attachment 614468 [details] [diff] [review]:
-----------------------------------------------------------------

::: mail/components/cloudfile/content/Dropbox/settings.xhtml
@@ +10,1 @@
>  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

This will be incorrect as we localize it.

Note You need to log in before you can comment on or make changes to this bug.